<?php

namespace Ems\Logic\ProcessamentoSolicitacao;

use Ems\Util\Utils;
use Util\{ DateUtil, NovoCodigo, Repositories };

class ProcessamentoSolicitacaoValeTransporte extends ProcessamentoSolicitacao {
    
    public function efetivar() {
        $itens = $this->getItensAssociativeArray();
        
        $nrlinhatransp      = $itens['NRLINHATRANSP']   ?? null;
        $nrtipolinhavinc    = $itens['NRTIPOLINHAVINC'] ?? null;
        $nrsentidolinha     = $itens['NRSENTIDOLINHA']  ?? null;
        $qtlinhatarifa      = $itens['QTLINHATARIFA']   ?? null;
        $dsobslinhavinc     = $itens['DSOBSLINHAVINC']   ?? null;
        $cdTipoaltevt     = $itens['CDTIPOALTEVT']   ?? null;
        $dtinilinhavinc     = isset($itens['DTINILINHAVINC']) ? DateUtil::getDataDeString(substr($itens['DTINILINHAVINC'],0,10), DateUtil::FORMATO_BRASILEIRO, true) : null;
        $dtfimlinhavinc     = isset($itens['DTFIMLINHAVINC']) ? DateUtil::getDataDeString(substr($itens['DTFIMLINHAVINC'],0,10), DateUtil::FORMATO_BRASILEIRO, true) : null;
        $dtaltelinhavinc     = isset($itens['DTALTELINHAVINC']) ? DateUtil::getDataDeString(substr($itens['DTALTELINHAVINC'],0,10), DateUtil::FORMATO_BRASILEIRO, true) : null;
        $nrorg              = Utils::getParamters()->getNrorg();
        $nrvinculom         = $this->getSolicitacao()->getNrvinculom();
        $dsobssolicitacao   = $this->getSolicitacao()->getDsobssolicitacao();

        if($cdTipoaltevt === 'E') {
            ProcessamentoSolicitacaoUtil::atualizaVabLinhaVinc($nrorg, $nrvinculom, $nrlinhatransp, $dtfimlinhavinc, $dsobslinhavinc, $dtaltelinhavinc, Utils::getParamters()->getCdoperador());
            return;
        }
        
        $vabLinhavinc = Repositories::VAB_LINHAVINC;
        $vabLinhavinc = new $vabLinhavinc;
        $vabLinhavinc->setNrorg($nrorg);
        $vabLinhavinc->setNrvinculom($nrvinculom);
        $vabLinhavinc->setNrsentidolinha($nrsentidolinha);
        $vabLinhavinc->setQtlinhatarifa($qtlinhatarifa);
        $vabLinhavinc->setDtinilinhavinc($dtinilinhavinc);
        $vabLinhavinc->setDtfimlinhavinc($dtfimlinhavinc);
        $vabLinhavinc->setNrlinhatarifa($nrlinhatransp);
        $vabLinhavinc->setNrtipolinhavinc($nrtipolinhavinc);
        $vabLinhavinc->setDsobslinhavinc($dsobslinhavinc);
        $vabLinhavinc->setDtinclusao(DateUtil::getDataAtual(false));
        $vabLinhavinc->setDtultatu($dtaltelinhavinc);
        $vabLinhavinc->setNrorginclusao(Utils::getParamters()->getNrorg());
        $vabLinhavinc->setCdoperinclusao(Utils::getParamters()->getCdoperador());
        $vabLinhavinc->setNrlinhavinc(NovoCodigo::geraCodigo(Utils::getParamters()->getNrorg(), 'VAB_LINHAVINC', 1, 12, true));
        Utils::getEntityManager()->persist($vabLinhavinc);
        Utils::getEntityManager()->flush();
    }
    
    public function rejeitar() {}
}