/* Sistemas Integrados TEKNISA

Nome: DTULTATU_PARAMBLOQNFAFIL

@C:\Web_506\Sql\End_Conv\Oracle\03AC_GERTRGO_DTULTATU_PARAMBLOQNFAFOR.sql

Descrio:
Rotina para atualizao de cache da tabela PARAMBLOQNFAFOR

Criao:
29/09/2009 - Fileas Job
*/

CREATE OR REPLACE TRIGGER DTULTATU_PARAMBLOQNFAFOR
BEFORE INSERT OR UPDATE OR DELETE
ON PARAMBLOQNFAFOR FOR EACH ROW

BEGIN
   IF INSERTING THEN 
      :NEW.DTULTATU := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF NVL(:NEW.CDFORNECED, 0)      <> NVL(:OLD.CDFORNECED, 0)      OR
         NVL(:NEW.IDENTRSAIDOP, 0)    <> NVL(:OLD.IDENTRSAIDOP, 0)    OR
         NVL(:NEW.CDTIPOOPER, 0)      <> NVL(:OLD.CDTIPOOPER, 0)      OR
         NVL(:NEW.IDLIBERATPOPFOR, 0) <> NVL(:OLD.IDLIBERATPOPFOR, 0) THEN
         :NEW.DTULTATU := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
           VALUES ('PARAMBLOQNFAFOR', '', 'CDFORNECED=' || :OLD.CDFORNECED ||
                                         ';IDENTRSAIDOP=' || :OLD.IDENTRSAIDOP ||
                                         ';CDTIPOOPER=' || :OLD.CDTIPOOPER ||
                                         ';', SYSDATE);
   END IF;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('DTULTATU_PARAMBLOQNFAFOR','5.06.032'); END;
/
